aux_blas(3)

NAME
aux_blas

SYNOPSIS

  Functions
integer function icamax (N, CX, INCX)
ICAMAX
integer function idamax (N, DX, INCX)
IDAMAX
integer function isamax (N, SX, INCX)
ISAMAX
integer function izamax (N, ZX, INCX)
IZAMAX
logical function lsame (CA, CB)
LSAME
subroutine xerbla (SRNAME, INFO)
XERBLA
subroutine xerbla_array (SRNAME_ARRAY, SRNAME_LEN, INFO)
XERBLA_ARRAY

Detailed Description

This is the group of Auxiliary 3 BLAS routines.

Function Documentation

  integer function icamax (integer N, complex, dimension(*) CX, integer INCX)

ICAMAX

Purpose:

        ICAMAX finds the index of the first element having maximum |Re(.)| + |Im(.)|

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    CX

              CX is COMPLEX array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of SX

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 73 of file icamax.f.

  integer function idamax (integer N, double precision, dimension(*) DX, integer INCX)

IDAMAX

Purpose:

        IDAMAX finds the index of the first element having maximum absolute value.

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    DX

              DX is DOUBLE PRECISION array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of SX

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 73 of file idamax.f.

  integer function isamax (integer N, real, dimension(*) SX, integer INCX)

ISAMAX

Purpose:

        ISAMAX finds the index of the first element having maximum absolute value.

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    SX

              SX is REAL array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of SX

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, linpack, 3/11/78.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 73 of file isamax.f.

  integer function izamax (integer N, complex*16, dimension(*) ZX, integer INCX)

IZAMAX

Purpose:

        IZAMAX finds the index of the first element having maximum |Re(.)| + |Im(.)|

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    ZX

              ZX is COMPLEX*16 array, dimension ( 1 + ( N - 1 )*abs( INCX ) )

    INCX

              INCX is INTEGER
             storage spacing between elements of SX

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2017

Further Details:

         jack dongarra, 1/15/85.
         modified 3/93 to return if incx .le. 0.
         modified 12/3/93, array(1) declarations changed to array(*)

Definition at line 73 of file izamax.f.

  logical function lsame (character CA, character CB)

LSAME

Purpose:

     LSAME returns .TRUE. if CA is the same letter as CB regardless of
     case.

Parameters:
    CA

              CA is CHARACTER*1

    CB

              CB is CHARACTER*1
              CA and CB specify the single characters to be compared.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    December 2016

Definition at line 55 of file lsame.f.

  subroutine xerbla (character*(*) SRNAME, integer INFO)

XERBLA

Purpose:

     XERBLA  is an error handler for the LAPACK routines.
     It is called by an LAPACK routine if an input parameter has an
     invalid value.  A message is printed and execution stops.
     Installers may consider modifying the STOP statement in order to
     call system-specific exception-handling facilities.

Parameters:
    SRNAME

              SRNAME is CHARACTER*(*)
              The name of the routine which called XERBLA.

    INFO

              INFO is INTEGER
              The position of the invalid parameter in the parameter list
              of the calling routine.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    December 2016

Definition at line 62 of file BLAS/SRC/xerbla.f.

  subroutine xerbla_array (character(1), dimension(srname_len) SRNAME_ARRAY, integer SRNAME_LEN, integer INFO)

XERBLA_ARRAY

Purpose:

     XERBLA_ARRAY assists other languages in calling XERBLA, the LAPACK
     and BLAS error handler.  Rather than taking a Fortran string argument
     as the function's name, XERBLA_ARRAY takes an array of single
     characters along with the array's length.  XERBLA_ARRAY then copies
     up to 32 characters of that array into a Fortran string and passes
     that to XERBLA.  If called with a non-positive SRNAME_LEN,
     XERBLA_ARRAY will call XERBLA with a string of all blank characters.
     Say some macro or other device makes XERBLA_ARRAY available to C99
     by a name lapack_xerbla and with a common Fortran calling convention.
     Then a C99 program could invoke XERBLA via:
        {
          int flen = strlen(__func__);
          lapack_xerbla(__func__, &flen, &info);
        }
     Providing XERBLA_ARRAY is not necessary for intercepting LAPACK
     errors.  XERBLA_ARRAY calls XERBLA.

Parameters:
    SRNAME_ARRAY

              SRNAME_ARRAY is CHARACTER(1) array, dimension (SRNAME_LEN)
              The name of the routine which called XERBLA_ARRAY.

    SRNAME_LEN

              SRNAME_LEN is INTEGER
              The length of the name in SRNAME_ARRAY.

    INFO

              INFO is INTEGER
              The position of the invalid parameter in the parameter list
              of the calling routine.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    December 2016

Definition at line 82 of file BLAS/SRC/xerbla_array.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.